package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

public class Tag20Creator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt103STPCreator.getSendersReference();
        mt103STPCreator.set("20", tag20Value);
    }
}
